package ru.yandex.qe.dispenser.domain.abc;

import org.jetbrains.annotations.Nullable;

public abstract class AbcServicePersonHolder extends AbcServiceEntity {
    @Nullable
    protected final AbcPerson person;

    protected AbcServicePersonHolder(final @Nullable AbcPerson person,
                                     final @Nullable AbcServiceReference serviceReference) {
        super(serviceReference);
        this.person = person;
    }

    @Nullable
    public AbcPerson getPerson() {
        return person;
    }
}
